## fgfs-atlas 0.3.1+cvs20120214

=== debian/changelog ===
fgfs-atlas (0.3.1+cvs20120214-0ubuntu1) precise; urgency=low

  * Build from CVS for compatibility with simgear 2.4.0. (LP: #903225)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 14 Feb 2012 10:42:01 -0500

fgfs-atlas (0.3.1-2build1) natty; urgency=low

  * No change rebuild against new simgear to match SONAME transition.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 08 Feb 2011 19:10:02 +0530

fgfs-atlas (0.3.1-2) unstable; urgency=low

  * Applied patch by Peter Green and Stefan Potyra (of Ubuntu)
    to make Atlas build with SimGear 1.9.
    Closes: #545593.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 17 Oct 2009 02:27:02 +0200

fgfs-atlas (0.3.1-1) unstable; urgency=low

  * New upstream release.
    There's now a GetMap command
  * Build-Depend on libcurl4-gnutls-dev.
  * Updated README.Debian to mention GetMap.
  * There's a new buildmaps.sh tool, but it doesn't fit in so well
    with the current Debian packaging, so it won't go into /usr/games.
    I'll put it into /usr/share/doc/fgfs-atlas if anyone needs it.
  * Build-Depend on simgear-dev 1.0.0-3 or later.
  * Reverted all Debian patches to upstream's makefile;
    with simgear 1.0.0-3 they shouldn't be needed anymore.
  * Use debian/compat file instead of setting DH_COMPAT in debian/rules.
    Upgraded DH build-dependency and compatibility level to 5.
  * Set optimization level according to DEB_BUILD_OPTIONS.
  * No longer clear -g according to DEB_BUILD_OPTIONS, leave that
    to dh_strip.
  * Upgraded Standards-Version to 3.7.3.
  * Cleaned debian/rules by removing a whole lot of unnecessary
    dh_* calls (originally from the dh_make template).

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 21 Apr 2008 11:38:18 +0200

fgfs-atlas (0.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417182).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 11:43:16 +0000

fgfs-atlas (0.3.0-5) unstable; urgency=low

  * Rebuilt against SimGear 1.0.0. Depend on fgfs-base 1.0.0.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 28 Dec 2007 20:30:35 +0100

fgfs-atlas (0.3.0-4) unstable; urgency=low

  * Updated build dependencies (added libgl1-mesa-dev,
    libglu1-mesa-dev, libglu1-xorg-dev, and freeglut3-dev
    as alternatives). Closes: #375616, #376801.
  * Hopefully, building on my own system resolves any
    compilation/linkage problems introduced by the NMU.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 16 Sep 2006 23:50:39 -0400

fgfs-atlas (0.3.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Replace build-dependency on obsolete package xlibmesa-glu-dev with
    libglu1-mesa-dev; fixes FTBFS, patch from Andreas Jochens.
    (Closes: #375616) 

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Jul 2006 00:40:37 +0200

fgfs-atlas (0.3.0-3) unstable; urgency=low

  * Build-Depend on libpng12-dev. I wish configure had checked for it,
    but I still can't believe I missed it. Oh well. Closes: #360247.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 31 Mar 2006 13:37:25 -0500

fgfs-atlas (0.3.0-2) unstable; urgency=low

  * Updated debian/copyright to note that the
    render-to-texture code is using a BSD-style license
    (which appears to be the zlib/libpng license), in
    order to satisfy the Debian ftp admins. (This stuff
    is still all covered by the GPL, though, so I don't
    see the big deal, but since they insist...)
  * Build-Depend on libalut-dev, and simgear 0.3.9-3.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 19 Mar 2006 07:31:48 -0500

fgfs-atlas (0.3.0-1) unstable; urgency=low

  * Initial Release. Closes: #330993.
  * Patched configure.ac to use C++ mode when checking
    the simgear version (the way simgear is currently
    packaged in Debian makes it necessary).
  * Added missing libs to a few link command lines.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 16 Oct 2005 15:56:59 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address "ovek@arcticnet.no"
End:
