=== debian/control ===
Source: fgfs-atlas
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ove Kaaven <ovek@arcticnet.no>
Build-Depends: debhelper (>> 5),
 libx11-dev, libxext-dev, libxi-dev, libice-dev, libsm-dev, libxt-dev, libxmu-dev,
 libgl1-mesa-dev | xlibmesa-gl-dev | libgl-dev,
 libglu1-mesa-dev | libglu1-xorg-dev | xlibmesa-glu-dev | libglu-dev,
 freeglut3-dev | libglut3-dev, zlib1g-dev, libjpeg62-dev | libjpeg-dev,
 libpng12-dev, libplib-dev (>= 1.8.4) | plib1.8.4-dev,
 libcurl4-gnutls-dev, libopenal-dev, libalut-dev, autotools-dev, automake,
 libglew-dev,
 simgear-dev (>= 1.0.0-3)
Standards-Version: 3.7.3
Homepage: http://atlas.sourceforge.net/

Package: fgfs-atlas
Architecture: any
Depends: ${shlibs:Depends}, fgfs-base (>= 1.0.0)
Suggests: flightgear
Description: Flight Gear Map Viewer
 Atlas allows you to see your position on a scrolling world map as you
 fly around with Flight Gear, and even print your own flight charts.
 It reads terrain data from Flight Gear's scenery database. Note that
 using it for real world navigation purposes is strongly discouraged
 and probably illegal.
