=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS=-O0 -g
else
CFLAGS=-O2 -g
endif

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
CVSROOT=':pserver:anonymous@atlas.cvs.sourceforge.net:/cvsroot/atlas'
# The YYYYMMDD part of the changelog version number, used to get a dated CVS
# checkout from upstream.
REV=$(shell dpkg-parsechangelog \
      | sed -rne 's,^Version: .*[+~]cvs([0-9]+).*,\1,p')
# The full changelog version number, used for the orig.tar.gz
VER=$(shell dpkg-parsechangelog \
      | sed -rne 's,^Version: (.*[+~]cvs[0-9]+).*,\1,p')

configure: configure-stamp
configure-stamp:
	./autogen.sh
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		    --bindir=\$${prefix}/games --datadir=\$${prefix}/share/games \
		    --with-simgear=/usr --with-fgbase=/usr/share/games/FlightGear
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	#/usr/bin/docbook-to-man debian/fgfs-atlas.sgml > fgfs-atlas.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) -i clean
	-$(MAKE) -i distclean

	dh_clean

	# update from autotools-dev
	#cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub .

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/fgfs-atlas/usr
	#mv debian/fgfs-atlas/usr/games/buildmaps.sh debian/fgfs-atlas/usr/share/doc/fgfs-atlas

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_install

	dh_installdocs
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	rm -rf atlas-$(VER).orig
	cvs -z3 -d$(CVSROOT) co -D $(REV) -d atlas-$(REV).orig -P Atlas
	find atlas-$(REV).orig -name CVS | xargs rm -rf
	rm -rf atlas-$(REV).orig/projects
	rm -f atlas-$(REV).orig/.cvsignore
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
			-f fgfs-atlas_$(VER).orig.tar.gz \
			atlas-$(REV).orig
	rm -rf atlas-$(REV).orig

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
